public class Token {
    private Tok tokType; // enum type
    private int line;
    private int col;
    private Object value; // associated lexeme


    public Token(Tok tokType, int line, int col) {
        this.tokType = tokType;
        this.line = line;
        this.col = col;
    }

    public Token(Tok tokType, int line, int col, Object value) {
        this(tokType, line, col);
        this.value = value;
    }

    // toString method so we can print out tokens
    public String toString() {
        String toReturn = "(" + this.line + ", " + this.col + ", " + this.tokType;
        if (value != null) {
            toReturn = toReturn + ", " + value.toString();
        }

        return toReturn + ")";
    }
}